package com.kingdee.eas.custom.bill.salary;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.hr.base.HRBillBase;
import java.lang.String;
import com.kingdee.eas.custom.bill.salary.app.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class SalaryBag extends HRBillBase implements ISalaryBag
{
    public SalaryBag()
    {
        super();
        registerInterface(ISalaryBag.class, this);
    }
    public SalaryBag(Context ctx)
    {
        super(ctx);
        registerInterface(ISalaryBag.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("518DF39C");
    }
    private SalaryBagController getController() throws BOSException
    {
        return (SalaryBagController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public SalaryBagCollection getSalaryBagCollection() throws BOSException
    {
        try {
            return getController().getSalaryBagCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public SalaryBagCollection getSalaryBagCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getSalaryBagCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public SalaryBagCollection getSalaryBagCollection(String oql) throws BOSException
    {
        try {
            return getController().getSalaryBagCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public SalaryBagInfo getSalaryBagInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryBagInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public SalaryBagInfo getSalaryBagInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryBagInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public SalaryBagInfo getSalaryBagInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryBagInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}